// To parse this JSON data, do
//
//     final profileDetailModel = profileDetailModelFromJson(jsonString);

import 'dart:convert';

ProfileDetailModel profileDetailModelFromJson(String str) =>
    ProfileDetailModel.fromJson(json.decode(str));

String profileDetailModelToJson(ProfileDetailModel data) =>
    json.encode(data.toJson());

class ProfileDetailModel {
  ProfileDetailModel({
    this.userName,
    this.firstName,
    this.lastName,
    this.name,
    this.email,
    this.secretKey,
    this.profilePicture,
    this.id,
    this.userId,
  });

  String? userName;
  String? firstName;
  String? lastName;
  String? name;
  String? email;
  String? secretKey;
  String? profilePicture;
  String? id;
  String? userId;

  factory ProfileDetailModel.fromJson(Map<String, dynamic> json) =>
      ProfileDetailModel(
        userName: json["userName"],
      );

  Map<String, dynamic> toJson() => {
        "name": name,
        "profilePicture": profilePicture,
        "userId": userId,
      };
}
