import 'dart:convert';

class SetUserRole {
  SetUserRole({
    this.deleteMessage = 0,
    this.sendMessage = 1,
    this.updateProfile = 0,
    this.editMessage = 0,
    this.createGroup = 0,
    this.createOneToOneChat = 0,
    this.deleteChat = 0,
  });

  int deleteMessage = 1;
  int sendMessage = 1;
  int updateProfile = 1;
  int editMessage = 1;
  int createGroup = 1;
  int createOneToOneChat = 1;
  int deleteChat = 1;
  factory SetUserRole.fromJson(Map<String, dynamic> json) => SetUserRole(
        deleteMessage: json["deleteMessage"],
        sendMessage: json["sendMessage"],
        updateProfile: json['updateProfile'],
        editMessage: json['editMessage'],
        createGroup: json['createGroup'],
        createOneToOneChat: json['createOneToOneChat'],
        deleteChat: json['deleteChat'],
      );

  Map<String, dynamic> toJson() => {
        "deleteMessage": deleteMessage,
        "sendMessage": deleteMessage,
        "updateProfile": deleteMessage,
        "editMessage": deleteMessage,
        "createGroup": deleteMessage,
        "createOneToOneChat": deleteMessage,
        "deleteChat": deleteChat,
      };
}

String setRoleModelToJson(SetUserRole data) => json.encode(data.toJson());

SetUserRole setRoleFromJson(str) => SetUserRole.fromJson(json.decode(str));
