import 'package:aplus_chat/aplus_chat_sdk.dart';
import 'package:aplus_chat/helper/storages.dart';
import 'package:flutter/material.dart';
class HomeView extends StatefulWidget {
  const HomeView({Key? key}) : super(key: key);

  @override
  State<HomeView> createState() => _HomeViewState();
}

class _HomeViewState extends State<HomeView> {
  @override
  void initState() {
    APlusChatMain.getCount((unreadCount) {
      print(unreadCount);
    });
    super.initState();
  }

  @override
  Widget build(BuildContext context) {

    APlusChatMain.loginWithAPlusChat(
        userId: "21e17369-d425-49a4-af2d-1b607d15625c",
        secretKey:
        AppStorages.secKey,
        fcmToken: "",
        onSuccess: (suc) {},
        onError: (err) {},
        onConnectionFailed: (failed) {});
    return Scaffold(
      body: Center(
          child:InkWell(
              onTap: () {
                APlusChatMain.openAPlusChat(context: context, isDark: true, themeColor: Colors.pink,);
              },
              child: const Text("Click to go chat"))),
    );
  }
}
